"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
Object.defineProperty(exports, "UrlEditor", {
    enumerable: true,
    get: function() {
        return UrlEditor;
    }
});
const _react = /*#__PURE__*/ _interop_require_wildcard(require("react"));
const _f36components = require("@contentful/f36-components");
const _fieldeditorshared = require("@contentful/field-editor-shared");
function _getRequireWildcardCache(nodeInterop) {
    if (typeof WeakMap !== "function") return null;
    var cacheBabelInterop = new WeakMap();
    var cacheNodeInterop = new WeakMap();
    return (_getRequireWildcardCache = function(nodeInterop) {
        return nodeInterop ? cacheNodeInterop : cacheBabelInterop;
    })(nodeInterop);
}
function _interop_require_wildcard(obj, nodeInterop) {
    if (!nodeInterop && obj && obj.__esModule) {
        return obj;
    }
    if (obj === null || typeof obj !== "object" && typeof obj !== "function") {
        return {
            default: obj
        };
    }
    var cache = _getRequireWildcardCache(nodeInterop);
    if (cache && cache.has(obj)) {
        return cache.get(obj);
    }
    var newObj = {
        __proto__: null
    };
    var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor;
    for(var key in obj){
        if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) {
            var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null;
            if (desc && (desc.get || desc.set)) {
                Object.defineProperty(newObj, key, desc);
            } else {
                newObj[key] = obj[key];
            }
        }
    }
    newObj.default = obj;
    if (cache) {
        cache.set(obj, newObj);
    }
    return newObj;
}
function UrlEditor(props) {
    const { field, id } = props;
    return /*#__PURE__*/ _react.createElement(_fieldeditorshared.FieldConnector, {
        field: field,
        isInitiallyDisabled: props.isInitiallyDisabled
    }, ({ value, errors, disabled, setValue })=>{
        return /*#__PURE__*/ _react.createElement("div", {
            "data-test-id": "url-editor"
        }, /*#__PURE__*/ _react.createElement(_f36components.TextInput, {
            id: id,
            isRequired: field.required,
            isInvalid: errors.length > 0,
            isDisabled: disabled,
            value: value || '',
            onChange: (e)=>{
                setValue(e.target.value);
            }
        }), typeof props.children === 'function' ? props.children({
            value
        }) : null);
    });
}
UrlEditor.defaultProps = {
    isInitiallyDisabled: true
};
