import * as React from 'react';
import { TextInput } from '@contentful/f36-components';
import { FieldConnector } from '@contentful/field-editor-shared';
export function UrlEditor(props) {
    const { field, id } = props;
    return /*#__PURE__*/ React.createElement(FieldConnector, {
        field: field,
        isInitiallyDisabled: props.isInitiallyDisabled
    }, ({ value, errors, disabled, setValue })=>{
        return /*#__PURE__*/ React.createElement("div", {
            "data-test-id": "url-editor"
        }, /*#__PURE__*/ React.createElement(TextInput, {
            id: id,
            isRequired: field.required,
            isInvalid: errors.length > 0,
            isDisabled: disabled,
            value: value || '',
            onChange: (e)=>{
                setValue(e.target.value);
            }
        }), typeof props.children === 'function' ? props.children({
            value
        }) : null);
    });
}
UrlEditor.defaultProps = {
    isInitiallyDisabled: true
};
